/*
 * lpc2220_rom.ld - linker script for the lpc2220 device (->rom)
 *
 * author: hackbard@hackdaworld.org
 *
 */

/* memory definitions */

MEMORY {
	FLASH_BANK0 (rx) : ORIGIN=0x80000000, LENGTH=0x00100000
	FLASH_BANK2 (rx) : ORIGIN=0x82000000, LENGTH=0x00100000
	RAM (rw) : ORIGIN=0x40000000, LENGTH=0x00010000
}

/* section definitions */

SECTIONS {
	
	/* startup and user code (.text) */
	.text : {
		startup.o(.text)	// startup code
		*(.text)		// our code
		*(.glue_7)		// glue code
		*(.glue_7t)		// glue code
	} > FLASH_BANK0

	. = ALIGN(4)

	/* read only data */
	.rodata : { *(.rodata) } > FLASH_BANK0

	. = ALIGN(4)

	/* initialized data */
	.data : { *(.data) } > RAM

	. = ALIGN(4);

	/* uninitialized data */
	.bss : { *(.bss) } > RAM
}

